Subject: Re: [X2Go-Dev] Bug#78: NX_xrandr lacks support from Xrandr 1.2 and higher

From: Reinhard Tartler <[email-masked]>
Date: Thu, 6 Dec 2012 13:39:02 +0100

On Thu, Dec 6, 2012 at 1:17 PM, Mike Gabriel
<[email-masked]> wrote:
> Hi Reinhard,
>
>
> On Do 06 Dez 2012 12:59:36 CET Reinhard Tartler wrote:
>
>> Package: x2goagent
>>
>> When starting a new x2go session, the startup scripts modify the
>> LD_LIBRARY_PATH of all applications to include /usr/lib/nx/X11/Xrandr.
>> This replaces the system libXrandr with the NX/X2go  provided one.
>> Unfortunately, this breaks the xrandr utility:
>>
>>>> echo $LD_LIBRARY_PATH
>>
>> /usr/lib/nx/X11/Xrandr:/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11
>>
>>>> xrandr
>>
>> xrandr: symbol lookup error: xrandr: undefined symbol:
>> XRRGetScreenSizeRange
>> zsh: exit 127   xrandr
>
>
> this was done to work around a critical Ubuntu KDE bug in precise:
> https://bugs.launchpad.net/ubuntu/+source/libx11/+bug/985202
>
> The path add-on for Xrandr is only done for KDE sessions. I will be happy to
> revert that nasty hack, but before that, we need someone to dig into KDE and
> (if I recall correctly) the patches applied to libxfixes in Ubuntu 12.04 and
> beyond.

In that case I'm happy to confirm that your "workaround" does not fix
anything in Kubuntu 12.10 nor when upgrading to raring.

>
> If you disable the LD_LIBRARY_PATH code for Xrandr (x2goruncommand), then
> you will find regularly kwin crashes on KDE in precise+.

This also happens with this workaround.

What does help, however, is downgrading the libxfixes3 package to the
version in oneiric.

-- 
regards,
    Reinhard